/* blinking leds
 
 * 
 * turn on/off three leds in a row
 *
 
 * Sensor-Aktor Workshop
 * Lab3 2008
 * Kunsthochschule fuer Medien Koeln
 * Academy of Media Arts Cologne
 * http://interface.khm.de
 
 * pin mapping SensorAktor Shield
 * import SensorAktor.h to get already defined mapping
 *
 * analog inputs: analog0 = pin0, analog1 = pin1, analog2 = pin2,
 * analog3 = pin3, analog4 = pin4, analog5 = pin5
 * built-in poti: poti = pin5
 * amplified input: mic = pin0
 * switches: switch1 = pin1, switch2 = pin2, switch3 = pin3
 * leds: led1 = pin3, led2 = pin5, led3 = pin6
 * power outs: out1 = pin3, out2 = pin5, out3 = pin6
 * motor outs: motor1_1 = pin8, motor1_2 = pin13, motor2_1 = pin11, motor2_2 = pin12
 * motor pwms: pwmMotor1 = pin10, pwmMotor2 = pin9
 * servo outs: servo1 = pin2, servo2 = pin4, servo3 = pin7

 */

// import sensor aktor library for pin mapping
#include <SensorAktor.h>

// delay time
int delayTime = 100;

// this block is executed one time when programm starts
void setup(){
  
  // set pin modes
  pinMode(led1,OUTPUT);
  pinMode(led2,OUTPUT);
  pinMode(led3,OUTPUT);
  
}

// this block is executed in a loop after setup is called one time
void loop(){

  delayTime = analogRead(poti)/4;
  
  // sets LED1 on
  digitalWrite(led1,HIGH);
  // wait (ms)
  delay(delayTime);
  // sets LED1 off
  digitalWrite(led1,LOW);
  // wait (ms)
  delay(delayTime);

  // sets LED2 on
  digitalWrite(led2,HIGH);
  // wait (ms)
  delay(delayTime);
  // sets LED2 off
  digitalWrite(led2,LOW);
  // wait (ms)
  delay(delayTime);

  // sets LED3 on
  digitalWrite(led3,HIGH);
  // wait (ms)
  delay(delayTime);
  // sets LED3 off
  digitalWrite(led3,LOW);
  // wait (ms)
  delay(delayTime);
  
}

